Skip to main content

Transaction

Generate Order

Use this API to generate Order ID.

 POST /transaction/generate-order Try now

Request body parameters

FieldTypeDescription
paymentProvider
required
integer1-RazorPay 2-Paytm
orderData
required
JSON Array
  1. userId
  2. courseId
  3. startDate
  4. endDate
  5. currencyCode
  6. price

For general error details, click here.

Validate Details

Use this API before processing enrollment to validate user and course details.

 POST /transaction/validate Try now

Request body parameters

FieldTypeDescription
orderType
required
integer1-course, 2-learning object, 3-learning-path etc.
orderData
required
JSON Array
  1. user ID
  2. Course ID
  3. CurrencyCode
  4. Price
  5. paymentProvider will be 1

For general error details, click here.

Transaction Process

Use this API to capture payment details and enroll user to a course.

 POST /transaction/process Try now

Request body parameters

FieldTypeDescription
orderType
required
integer1-course, 2-learning object, 3-learning-path etc.
orderData
required
JSON Array
  1. user ID
  2. Course ID
  3. CurrencyCode
  4. Price
  5. paymentProvider will be 1
  6. transactionRefNo

For general error details, click here.

Transaction List

Use this API to get your Orders/Transaction List.

 GET /transaction/list Try now

Query string parameters

FieldTypeDescription
firstRecord
required
integerFirst record to return. Default: 1
count
required
integerNumber of records to be returned starting from the first record Default: 20, Max count limit: 50

For general error details, click here.

Transaction Details

Use this API to get your Order/Transaction details.

 GET /transaction/{transactionId}/detail Try now

Path parameters

FieldTypeDescription
transactionId
required
integerTransaction ID

For general error details, click here.